# Linux resources for GPD Win 3

This repo contains the resources I used to get Linux running on my GPD Win 3. For the most part it's just going to be some scripts and notes.

The most interesting thing here my [custom TDP manager](scripts/tdp) written as a shell script. Which can be installed by following [the instructions listed here](scripts/).

This was done on the initial IndieGoGo-release of the Win 3. The limited-edition Silver with an i7-1165G7.

**I currently run Ubuntu 21.04 on my GPD Win 3, issues may vary and scripts break if you use different distros.**

![Photo of GPD Win 3 running Linux](img/win3-lin.jpg)

# System "requirements"

As always with Linux, setup will vary from distro to distro. But there's some basics that should be in place regardless of distro:

  - Linux kernel 5.11+ (Saw good improvements to Intel Xe graphics support)
  - Mesa version as recent as possible
  - If gaming on Steam, set "Proton Experimental" as compatibility tool (Many games fail to launch with any numbered release)

And last but not least:

 - Patience

Intel Xe graphics are very recent, and so are the drivers. Regardless of platform. You **WILL** encounter graphical bugs and compatibility issues with games, until Intel irons out their drivers more.

Surprisingly that's mostly it. Keyboard, gamepad, ports, WiFi, Bluetooth and most other things just work as long as your kernel is recent enough.

# Installing

You can perform a regular install of Ubuntu 21.04 on the Win 3. The process is as follows:

- Create a USB stick with Ubuntu on it
- Boot it by holding Del (Fn+Backspace) on the Win 3 when powering it up, then under the "Save & Exit" in the BIOS, chose your USB stick under boot override
- During the install I recommend chosing "Try Ubuntu" to get to a desktop, then rotate the display in the settings, and start the installer when the screen is in the correct orientation
- [Optional] If you want to dual-boot, chose "something else" during partitioning
- [Optional] Besides system stuff, the Win 3 ships with two main paritions, a 100GB Windows partition, and a game partition (~900GB).
- [Optional] Delete the 900GB partition, leaving you with 900GB free space. Use this to make a Linux parition (for example a 100GB ext4 partition) with mount mount `/`
- [Optional] The remaining space (~800 GB in this example) can now be used however you see fit, you can make another ext4 parition for Linux, or some other filesystem that you can use in both Windows and Linux.
- After installing, grab all available updates and reboot, the Intel Xe GPU needs all updates it can get
- Check the "Main issues" document listed below for fixes if needed. Particularly when it comes to updating Mesa for better Intel Xe support.

I might document installation better if I ever have to reinstall my GPD Win 3.

# Table of contents

List of other pages in this repo

- [Main Issues](docs/Main-issues.md)
- [Quirks](docs/Quirks.md)
- [Scripts](scripts/)
